mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.RemotingException System.Runtime.InteropServices.ComVisible(true)

The is thrown when a remoting call does not complete in the specified timeout time.

uses the HRESULT COR_E_REMOTING, which has the value 0x8013150B.

uses the default implementation, which supports reference equality.

For a list of initial property values for an instance of , see the constructors.

The exception that is thrown when the server or the client cannot be reached for a previously specified period of time.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  inherits from the class. The following table shows initial property values for an instance of the class:

  Property

  Value

  null

  Localized error message for

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  inherits from the class. The following table shows initial property values for an instance of the class:

  Property Type

  Condition

  null

  The string

  Initializes a new instance of class with a specified message.

  The message that indicates the reason why the exception occurred.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception must include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows initial property values for an instance of the class:

  Property

  Value

  The inner exception reference

  The error message string

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.